<h2>Pacienți</h2>
<mat-paginator [pageSizeOptions]="[5, 10, 15]" [pageSize]="5" [length]="totalPatients" (page)="nextPage($event)"></mat-paginator>
<table>
    <thead>
        <tr>
            <th>Nume pacient</th>
            <th>CNP</th>
            <th>Vârstă</th>
            <th>Adresa</th>
            <th>Telefon</th>
            <th>Email</th>
            <th>Programări</th>
            <th>Internări</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor='let patient of patients'>
            <td>{{patient.name}}</td>
            <td>{{patient.cnp}}</td>
            <td>{{patient.age}}</td>
            <td>{{patient.address}}</td>
            <td>{{patient.phone}}</td>
            <td>{{patient.email}}</td>
            <td>
                <a routerLink="{{patient.id}}/programari">
                    <mat-icon>calendar_today</mat-icon>
                </a>
            </td>
            <td>
                <a routerLink="{{patient.id}}/internari">
                    <mat-icon>bed</mat-icon>
                </a>
            </td>
        </tr>
    </tbody>
</table>

<button *ngIf="!isUserDoctor()" class="btn btn-primary" (click)="goToCreatePatient()">Creare pacient</button>
